> ## Documentation Index
> Fetch the complete documentation index at: https://docs.featherhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all available integrations

> List all available integrations in the platform



## OpenAPI

````yaml get /api/v1/integrations
openapi: 3.0.0
info:
  version: 1.0.0
  title: Feather AI API
servers:
  - url: https://prod.featherhq.com
    description: Production environment
security: []
paths:
  /api/v1/integrations:
    get:
      tags:
        - Integrations
      summary: List all available integrations
      description: List all available integrations in the platform
      responses:
        '200':
          description: List of available integrations retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  integrations:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        description:
                          type: string
                          nullable: true
                        status:
                          type: string
                          enum:
                            - ACTIVE
                            - INACTIVE
                            - BETA
                            - DEPRECATED
                        type:
                          type: string
                          enum:
                            - CALENDAR
                            - HEALTHCARE
                        subType:
                          type: string
                          enum:
                            - YCMB
                            - MODMED
                            - CALENDLY
                            - FEATHER_CALENDAR
                        logoUrl:
                          type: string
                          nullable: true
                        websiteUrl:
                          type: string
                          nullable: true
                        requiredConfig:
                          type: array
                          items:
                            type: object
                            properties:
                              key:
                                type: string
                            required:
                              - key
                          description: The required config for the integration
                        createdAt:
                          type: string
                        updatedAt:
                          type: string
                      required:
                        - id
                        - name
                        - description
                        - status
                        - type
                        - subType
                        - logoUrl
                        - websiteUrl
                        - requiredConfig
                        - createdAt
                        - updatedAt
                required:
                  - integrations
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 400
                  message:
                    type: string
                    default: Bad request
                  code:
                    type: string
                    enum:
                      - BAD_REQUEST
                    default: BAD_REQUEST
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 500
                  message:
                    type: string
                    default: Internal server error
                  code:
                    type: string
                    enum:
                      - INTERNAL_SERVER_ERROR
                    default: INTERNAL_SERVER_ERROR
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
      security:
        - ApiKey: []
components:
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key

````